# cabal2spec-0.25
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name MonadCatchIO-mtl

%global common_summary Monad-transformer for Control.Exception

%global common_description Provides a monad-transformer version of the \
@Control.Exception.catch@ function. For this, it defines the \
@MonadCatchIO@ class, a subset of @MonadIO@. It defines \
proper instances for most monad transformers in the 'mtl' \
library.

Name:           ghc-%{pkg_name}
Version:        0.3.0.5
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec

BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-extensible-exceptions-devel

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


# devel subpackage
%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Fri Aug 17 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.3.0.5-1
- Updated to 0.3.0.5
- spec file template generated by cabal2spec-0.25.5

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.3.0.4-5
- change prof BRs to devel

* Fri Jun 15 2012 Jens Petersen <petersen@redhat.com> - 0.3.0.4-4
- rebuild

* Sun Mar 18 2012 Jens Petersen <petersen@redhat.com> - 0.3.0.4-3
- update to cabal2spec-0.25

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0.4-2.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.3.0.4-1.3
- rebuild with new gmp without compat lib

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.3.0.4-1.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.3.0.4-1.1
- rebuild with new gmp

* Mon Aug 22 2011 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.3.0.4-1
- Updated to upstream 0.3.0.4

* Fri Jun 24 2011 Jens Petersen <petersen@redhat.com> - 0.3.0.3-3
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)

* Sun Jun 12 2011 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.3.0.3-2
- Updated to cabal2spec-0.22.7

* Fri Jun 10 2011 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.3.0.3-1
- Updated to upstream 0.3.0.3

* Sat May 28 2011 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.3.0.2-1
- Updated to upstream 0.3.0.2

* Sat Sep 04 2010 Ben Boeckel <mathstuf@gmail.com> - 0.3.0.1-1
- Initial package

* Sat Sep  4 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.3.0.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
